﻿@model MvcWebsiteOcc.Areas.administrators.Models.BookCar

@{
    ViewBag.Title = "Thêm dịch vụ hành trình";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" id="editID" name="editID" value="@Model.BookID" />
    @Html.HiddenFor(m => m.BookID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/bookcars_manager/bookorders_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                <div class="well invoice-container">
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <h3 class="">
                                                <i class="fa fa-book"></i>
                                                Lệnh đặt xe
                                            </h3>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <h1>
                                                <a>
                                                    <img src="/Static/admin/assets/img/logoTTN_color.png" style="width: 300px; height: auto;" />
                                                    @* <img src="/assets/img/logo-inverted.png" alt="" style="width: 200px; height: 45px; margin-right: -17px" />*@
                                                </a>
                                            </h1>
                                            <div>
                                                <span>Mã lệnh:</span>
                                                <span>@Model.OrderID</span>
                                                <span>| </span>
                                                <span>Ngày đặt:</span>
                                                <span>@Model.CreateDate.ToString("dd/MM/yyyy")</span>
                                                <span>| </span>
                                                <a href="#">
                                                    <i class="glyphicon glyphicon-print carbon"></i>
                                                </a>
                                            </div>
                                            <div class="horizontal-space"></div>


                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xs-4">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Thông tin khách hàng</h6>
                                                </div>
                                                <div class="panel-body" style="width: 100%">
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <label class="control-label col-lg-3">Họ tên: </label>
                                                            <div class="col-lg-9">
                                                                <span>@Model.CusName</span>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <label class="control-label col-lg-3">Địa chỉ: </label>
                                                            <div class="col-lg-9">
                                                                <span>@Model.CusAddress</span>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <label class="control-label col-lg-3">Di động: </label>
                                                            <div class="col-lg-9">
                                                                <span>@Model.CusMobile</span>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <label class="control-label col-lg-3">E-mail: </label>
                                                            <div class="col-lg-9">
                                                                <span>@Model.CusEmail</span>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <label class="control-label col-lg-12">Yêu cầu khác: </label>
                                                            <div class="col-lg-12">
                                                                <span>@Model.CusMessage</span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Phương thức thanh toán</h6>
                                                </div>
                                                <div class="panel-body">
                                                    Thanh toán trực tiếp
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xs-4 ">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Thông tin xe</h6>
                                                </div>
                                                <div class="panel-body">
                                                    <div class="row">
                                                        
                                                            <div class="col-xs-4">
                                                               
                                                                <img src="/Uploaded/Images/dongxe/@Model.CarModel.Folder/@Model.CarModel.ModImage" style="width: 100%; height: auto;" />
                                                            </div>
                                                            <div class="col-xs-8">
                                                                <div class="row">
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Tên xe: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModName</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Hãng: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModBrand</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Màu xe: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModColor</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Đời xe: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModYear</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Giá: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModPrice</span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                      

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                         <div class="col-xs-4 ">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Thông tin tài xế</h6>
                                                </div>
                                                <div class="panel-body">
                                                    <div class="row">
                                                        
                                                            <div class="col-xs-4">
                                                                <img src="/Uploaded/Images/nhanvien/@Model.Staff.StaffImage">
                                                            </div>
                                                            <div class="col-xs-8">
                                                                <div class="row">
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Họ tên: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.Staff.StaffName</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3"> Quê quán: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.Staff.StaffAddress</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Ngày sinh: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>28/06/1989</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Đời xe: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModYear</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-12">
                                                                        <label class="control-label col-lg-3">Giá: </label>
                                                                        <div class="col-lg-9">
                                                                            <span>@Model.CarModel.ModPrice</span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                     

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xs-12 ">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Hành trình</h6>
                                                </div>
                                                <div class="panel-body">
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <div class="col-sm-3 col-xs-3">
                                                                <div class="form-group has-icon has-label">
                                                                    <div class="form-title">
                                                                        Điểm đón
                                                                    </div>
                                                                    <section id="place-on-map-1">

                                                                        <input type="text" class="form-control" id="address_map_di" name="address_map_di" placeholder="Bắt đầu hành trình !">
                                                                        <!-- /.form-group -->
                                                                        <div class="form-title">
                                                                            Bản đồ
                                                                        </div>
                                                                        <div class="col-md-12">
                                                                            <div class="geo-location-wrapper">
                                                                                <span class="btn geo_location_di"><i class="fa fa-map-marker"></i><span class="text">Xác định vị trí</span></span>
                                                                            </div>
                                                                        </div>
                                                                        <div id="submit_map_di" class="map_submit">
                                                                        </div>
                                                                        <div class="row">
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.StartLat" data-val="true" id="lat_di" name="lat_di" type="hidden">
                                                                                @Html.HiddenFor(p => p.StartLat)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.StartLong" data-val="true" id="long_di" name="long_di" type="hidden">
                                                                                @Html.HiddenFor(p => p.StartLong)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                        </div>
                                                                    </section>
                                                                    <!-- /#place-on-map -->
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 col-xs-3">

                                                                <div class="form-group has-icon has-label">
                                                                    <div class="form-title">
                                                                        Điểm đến
                                                                    </div>
                                                                    <section id="place-on-map-2">
                                                                        <input type="text" class="form-control" id="address_map_den" name="address_map_den" placeholder="Địa điểm đến của hành trình !">
                                                                        <!-- /.form-group -->
                                                                        <div class="form-title">
                                                                            Bản đồ
                                                                        </div>
                                                                        <div id="submit_map_den" class="map_submit"></div>
                                                                        <div class="row">
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.EndLat" data-val="true" id="lat_den" name="lat_den" type="hidden">
                                                                                @Html.HiddenFor(p => p.EndLat)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.EndLong" data-val="true" id="long_den" name="long_den" type="hidden">
                                                                                @Html.HiddenFor(p => p.EndLong)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                        </div>
                                                                    </section>
                                                                    <!-- /#place-on-map -->
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-6 col-xs-6">
                                                                <div class="form-group">
                                                                    <div class="form-title">
                                                                        Thời gian và lộ trình
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-sm-4">

                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Ngày đi - Ngày về</label>
                                                                                <div class="input-group">

                                                                                    <input readonly="readonly" type="text" class="form-control date_accept pull-right " name="date_start_end" value="@Model.DateStart.ToString("dd/MM/yyyy") - @Model.DateEnd.ToString("dd/MM/yyyy")" data-mask="99/99/9999 - 99/99/9999"/>
                                                                                    <span class="input-group-addon">
                                                                                        <i class="fa fa-calendar"></i>
                                                                                    </span>

                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-4">

                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Giờ đi</label>
                                                                                <div class="input-group">

                                                                                    @Html.TextBoxFor(m => m.TimeStart, new { @class = "form-control time_picker", @readonly = "readonly" })
                                                                                    <span class="input-group-addon">
                                                                                        <i class="fa fa-clock-o"></i>
                                                                                    </span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-4">

                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Giờ về</label>
                                                                                <div class="input-group">
                                                                                    @Html.TextBoxFor(m => m.TimeEnd, new { @class = "form-control time_picker", @readonly = "readonly" })
                                                                                    <span class="input-group-addon">
                                                                                        <i class="fa fa-clock-o"></i>
                                                                                    </span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="form-group has-icon has-label">
                                                                    <div id="map_road" class="map_submit"></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xs-12 ">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Dịch vụ</h6>
                                                </div>
                                                <div class="panel-body">
                                                    <!-- / end client details section -->
                                                    <table class="table table-bordered table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>
                                                                    <h5 class="no-margin-bottom">Tên dịch vụ</h5>
                                                                </th>
                                                                <th>
                                                                    <h5 class="no-margin-bottom text-center">Số lượng tính</h5>
                                                                </th>
                                                                <th>
                                                                    <h5 class="no-margin-bottom text-center">Đơn giá</h5>
                                                                </th>
                                                                <th>
                                                                    <h5 class="no-margin-bottom text-center">Thành tiền</h5>
                                                                </th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>Article</td>

                                                                <td class="text-center">-</td>
                                                                <td class="text-center">$200.00</td>
                                                                <td class="text-center">$200.00</td>
                                                            </tr>
                                                            <tr>
                                                                <td>Template Design</td>

                                                                <td class="text-center">10</td>
                                                                <td class="text-center">75.00</td>
                                                                <td class="text-center">$750.00</td>
                                                            </tr>
                                                            <tr>
                                                                <td>Development</td>

                                                                <td class="text-center">5</td>
                                                                <td class="text-center">50.00</td>
                                                                <td class="text-center">$250.00</td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" class="invisible bg-snow"></td>
                                                                <td class="text-center">Tổng thành tiền</td>
                                                                <td class="text-center">$1200.00 </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" class="invisible bg-snow"></td>
                                                                <td class="text-center">VAT</td>
                                                                <td class="text-center">10%</td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" class="invisible bg-snow"></td>
                                                                <td class="text-center"><strong>Tổng</strong></td>
                                                                <td class="text-center "><strong>$1200.00</strong></td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr class="wide" />
                                    <div class="invoice-notes">
                                        <h5>Ghi chú:</h5>
                                        <p>This invoice contains a incomplete list of items destroyed by the Federation ship Enterprise on Startdate 5401.6 in an unprovked attacked on a peaceful &amp; wholly scientific mission to Outpost 775.</p>
                                        <p>The Romulan people demand immediate compensation for the loss of their Warbird, Shuttle, Cloaking Device, and to a lesser extent thier troops.</p>
                                        <p>Failure to provide adequate compensation for the above losses will result in an immediate increase in Neutral Zone patrols &amp; a formal complaint will be filed in the form of increased aggresion on human populated worlds within the neutral zone.</p>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{



    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });
        $(document).ready(function () {

            $("#orders").addClass("active open");
            $("#bookorder").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>
        calculateRoute();

        function calculateRoute() {
            // Center initialized to Naples, Italy
            var myOptions = {
                zoom: 10,
                disableDefaultUI: false,
                scrollwheel: false,
                center: new google.maps.LatLng(21.021996012983845, 105.84486153972648),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            // Draw the map
            var mapObject = new google.maps.Map(document.getElementById("map_road"), myOptions);
            var start = new google.maps.LatLng($("#StartLat").val(), $("#StartLong").val());
            var end = new google.maps.LatLng($("#EndLat").val(), $("#EndLong").val());

            var directionsService = new google.maps.DirectionsService();
            var directionsRequest = {
                origin: start,
                destination: end,
                travelMode: google.maps.DirectionsTravelMode.DRIVING,
                unitSystem: google.maps.UnitSystem.METRIC
            };
            directionsService.route(
              directionsRequest,
              function (response, status) {
                  if (status == google.maps.DirectionsStatus.OK) {
                      new google.maps.DirectionsRenderer({
                          map: mapObject,
                          directions: response
                      });
                  }
                  else
                      $("#error").append("Unable to retrieve your route<br />");
              }
            );
        }


        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

    <script>


        var _latitude_di = $("#lat_di").val();
        var _longitude_di = $("#long_di").val();

        $('#StartLat').val(_latitude_di);
        $('#StartLong').val(_longitude_di);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});


        initSubmitMap_di(_latitude_di, _longitude_di);



        function initSubmitMap_di(_latitude_di, _longitude_di) {
            var mapCenter = new google.maps.LatLng(_latitude_di, _longitude_di);
            var mapOptions = {
                zoom: 15,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_di');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_di = this.position.lat();
                var longitude_di = this.position.lng();
                $('#StartLat').val(latitude_di);
                $('#StartLong').val(longitude_di);
                calculateRoute();
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_di'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#StartLat').val(marker.getPosition().lat());
                $('#StartLong').val(marker.getPosition().lng());
                calculateRoute();
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });


        }

        function success(position) {
            initSubmitMap_di(position.coords.latitude, position.coords.longitude);
            $('#StartLat').val(position.coords.latitude);
            $('#StartLong').val(position.coords.longitude);
        }

        $('.geo_location_di').on("click", function () {
            if (navigator.geolocation) {
                $('#submit_map_di').addClass('fade-map');
                navigator.geolocation.getCurrentPosition(success);
            } else {
                error('Geo Location is not supported');
            }
        });

    </script>

    <script>
        var _latitude_den = $("#lat_den").val();
        var _longitude_den = $("#long_den").val();

        $('#EndLat').val(_latitude_den);
        $('#EndLong').val(_longitude_den);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});


        initSubmitMap_den(_latitude_den, _longitude_den);


        function initSubmitMap_den(_latitude_den, _longitude_den) {
            var mapCenter = new google.maps.LatLng(_latitude_den, _longitude_den);
            var mapOptions = {
                zoom: 15,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_den');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_den = this.position.lat();
                var longitude_den = this.position.lng();
                $('#EndLat').val(latitude_den);
                $('#EndLong').val(longitude_den);
                calculateRoute();
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_den'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#EndLat').val(marker.getPosition().lat());
                $('#EndLong').val(marker.getPosition().lng());
                calculateRoute();
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });
        }

        //function success(position) {
        //    initSubmitMap(position.coords.latitude, position.coords.longitude);
        //    $('#EndLat').val(position.coords.latitude);
        //    $('#EndLong').val(position.coords.longitude);
        //}

        //$('.geo-location').on("click", function () {
        //    if (navigator.geolocation) {
        //        $('#submit_map_den').addClass('fade-map');
        //        navigator.geolocation.getCurrentPosition(success);
        //    } else {
        //        error('Geo Location is not supported');
        //    }
        //});

    </script>

}